Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince 0.6SynchronousAuth Required
UpdateImage
UpdateImage
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe image UUID.
Body Fields
updateimageObjectRequiredupdateimage request body object.
nameStringOptional. The image name.
descriptionStringOptional. The detailed description of the image.
guestOsTypeStringOptional. The operating system type of the guest VM instance that corresponds to the image.
mediaTypeStringOptional. The image type.
architectureStringOptional.
formatStringOptional. The image format.
systemBooleanOptional. Specifies whether the image is a system image.
platformStringOptional. The system platform of the image.
virtioBooleanNo description provided.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/images/{uuid}/actions
/zstack/v1/images/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateimage":{"name":"<name>","description":"<description>","guestOsType":"<guestOsType>","mediaType":"<mediaType>","architecture":"<architecture>","format":"<format>","system":true,"platform":"<platform>","virtio":true},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Windows", "architecture": "x86_64", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "backupStorageUuid": "b94ff32725d133fea53e8ada5ea7f0fc", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }Change History
This API has no change history records yet.
